Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::ReflectionMapGenerator Class Reference

This is the most simple cube map generator. More...

Inheritance diagram for osgUtil::ReflectionMapGenerator:

[legend]
List of all members.

## Public Member Functions
| ReflectionMapGenerator (int texture_size=64)
| ReflectionMapGenerator (const ReflectionMapGenerator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
## Protected Member Functions
virtual | ~ReflectionMapGenerator ()
ReflectionMapGenerator & | operator= (const ReflectionMapGenerator &)
virtual osg::Vec4 | compute_color (const osg::Vec3 &R) const
| Override this method to define how colors are computed.

## Detailed Description

This is the most simple cube map generator.

It performs a direct association between reflection vector and RGBA color (C = R).

## Constructor & Destructor Documentation

osgUtil::ReflectionMapGenerator::ReflectionMapGenerator | ( | int | texture_size = 64 | ) | `[inline]`

osgUtil::ReflectionMapGenerator::ReflectionMapGenerator | ( | const ReflectionMapGenerator & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgUtil::ReflectionMapGenerator::~ReflectionMapGenerator | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osg::Vec4 osgUtil::ReflectionMapGenerator::compute_color | ( | const osg::Vec3 & | R | ) | const`[inline, protected, virtual]`

| Override this method to define how colors are computed. The parameter R is the reflection vector, pointing from the center of the cube. The return value should be the RGBA color associated with that reflection ray. Implements osgUtil::CubeMapGenerator.

ReflectionMapGenerator& osgUtil::ReflectionMapGenerator::operator= | ( | const ReflectionMapGenerator & |  | ) | `[inline, protected]`

The documentation for this class was generated from the following file:

- ReflectionMapGenerator